K=1;
beta=.3;
alpha=1;

G=tf(K,[1 beta alpha 0]);

ts=0.5;

Gd=c2d(G,ts);
sysd=ss(Gd);
[A,B,C,D]=ssdata(sysd);

% Controllore
policontinuo=[-1, -0.5+0.6*j, -0.5-0.6*j];
polidiscreto=exp(ts*policontinuo);
K=-place(A,B,polidiscreto);

% Osservatore
policontinuo=[-10, -9, -8];
polidiscreto=exp(ts*policontinuo);
L=place(A',C',polidiscreto)';

%u=K*xhat+v
bigA=[A,B*K;L*C,A+B*K-L*C];
bigB=[B;B];
bigC=[C,zeros(1,3)];
bigD=0;

T=20;

clsys=ss(bigA,bigB,bigC,bigD,ts);
x0=[1 1 1]'; 
xhat0=[0 0 0]'; 
initial(clsys, [x0;xhat0],T);
pause

t=(0:ts:T)';
v=ones(size(t));
lsim(clsys,v);


%compens=reg(sysd,-K,L);
%clsys2=feedback(sysd,compens,1);
%lsim(clsys2,v,t);

