k=1;
alpha=1;
beta=1;

ts=0.1;

sys=tf(k,[1 beta alpha 0]);
sysdtf=c2d(sys,ts);
sysd=ss(sysdtf);

[A,B,C,D]=ssdata(ss(sysd));

pc=[-10,-6-6*j,-6+6*j];
pd=exp(ts*pc);

K=-place(A,B,pd);

pcoss=[-100,-90,-80];
pdoss=exp(ts*pcoss);

L=place(A',C',pdoss)';

bigA=[A+B*K,-B*K;zeros(3,3),A-L*C];
bigB=[B;zeros(3,1)];
bigC=[C,zeros(1,3)];
bigD=0;

clsys=ss(bigA,bigB,bigC,bigD,ts);

x0=[1 1 1]';
xhat0=[2 3 10]';
xtilde0=x0-xhat0;

subplot(211)
initial(clsys,[x0;xtilde0],5)

compens=reg(sysd,-K,L);

clsys=feedback(sysd,compens,+1);

subplot(212)
initial(clsys,[x0;xhat0],5)

